body {
	background-color: var(--bg);
	color: var(--fg);
	align-content: center;
	font-family: sans-serif;
	overflow: hidden;
	font-size: 11.5pt;
	opacity: 0;
	transition: opacity 1s;
}

.container {
	text-align: center;
	height: 100vh;
	padding-top: 15px;
}


#search-box {
	background-color: var(--bg-2);
	outline: none;
	color: var(--fg);
	border: none;
	border-radius: 20px;
	font-size: 12pt;
	padding-left: 20px;
	padding-right: 20px;
	width: 50vw;
	height: 50px;
	min-width: 350px;
}

#search-box::placeholder {
	color: var(--fg-1);
	font-size: 12pt;
}

h1#time {
	text-align: center;
}

#widgets {
	padding-top: 30px;
	width: 100%;
	text-align: left;
	display: grid;
	grid-template-columns: repeat(auto-fit, 180px);
	grid-template-rows: 100px;
	gap: 30px;
	align-items: center;
	justify-content: center;
}

div#widgets div.widget {
	background-color: var(--bg-1);
	text-align: center;
	padding: 10px;
	border-radius: 10px;

	span {
		text-transform: capitalize;
	}
}


/* ------------------------------- */

.animation-translate {
	transition: transform 0.2s ease-in-out;
}

.animation-translate:hover {
	transform: translate(0, -5px);
}

.animation-rotate {
	transition: transform 0.2s ease-in-out;
}

.animation-rotate:hover {
	transform: rotate(0.4turn);
}

/* ------------------------------- */

.container .widget a {
	color: var(--fg);
	text-decoration: none;
	text-transform: capitalize;
	display: flex;
	align-items: center;
	position: relative;
	padding: 5px;
	width: fit-content;
	margin: auto auto;
	transition: font-weight 50ms ease-in-out;
}

div#widgets div.widget a:hover {
	font-weight: 520;
}


#settings-icon {
	fill: var(--fg);
	margin-left: auto;
	margin-right: 10px;
	position: fixed;
	bottom: 10px;
	right: 4px;
}

h1 {
	font-size: 31pt;
}